Bug 65219 - In /root/upgrade.log, "...[: /var/tmp/rpm-tmp.2268: integer expected"
Summary: In /root/upgrade.log, "...[: /var/tmp/rpm-tmp.2268: integer expected"
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: iptables
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: wdovlrrw
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-20 15:27 UTC by Telsa Gwynne
Modified: 2007-04-18 16:42 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2002-05-20 15:28:02 UTC


Attachments (Terms of Use)

Description Telsa Gwynne 2002-05-20 15:27:56 UTC
Description of Problem:

From /root/upgrade.log:

Upgrading iptables-1.2.5-3
/var/tmp/rpm-tmp.2268: [: /var/tmp/rpm-tmp.2268: integer expected

This is upgrade to RH 7.3 from RH 7.2 on a Vaio (PCG-SR1K). 

rpm -V doesn't print anything other than my prompt so I presume everything
is in the right place. (And is the right version, according to rpm -q.) Should 
I worry?

Comment 1 Bernhard Rosenkraenzer 2002-05-21 14:53:46 UTC
This is caused by a bug in the old package (the one being removed)'s %preun 
script. 
 
It has since been fixed, but there's no way to fix this retrospectively. 
 
Closing currentrelease because 7.3 -> anything upgrades don't have this 
problem.


Note You need to log in before you can comment on or make changes to this bug.